package test;

import java.util.Iterator;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.openliberty.openaz.azapi.AzAttribute;
import org.openliberty.openaz.pep.Obligation;
import org.openliberty.openaz.pep.PepException;
import org.openliberty.openaz.pep.PepResponse;

public class TestUtils {
	Log log = LogFactory.getLog(this.getClass()); 
	public void logObligations(PepResponse pepRsp) 
			throws PepException {
		Map<String,Obligation> obligations =
			pepRsp.getObligations();			
		Iterator<String> itObligationIds = obligations.keySet().iterator();
		while (itObligationIds.hasNext()){
			String obligationId = itObligationIds.next();
			log.info("ObligationId = " + obligationId);
			Obligation obligation = 
				obligations.get(obligationId);
			System.out.println("ObligationId (from obl obj): " + 
					obligation.getObligationId());
			
			Map<String,String> oblAttrs = 
				obligation.getStringValues();
			System.out.println("ObligationId: " + obligationId +
					"\nObligation Attributes: "+oblAttrs);
			Iterator<String> itObligationAttr =
				oblAttrs.keySet().iterator();
			while (itObligationAttr.hasNext()){
				String obligationAttrId = itObligationAttr.next();
				String obligationAttrValue =
					oblAttrs.get(obligationAttrId);
				log.info("ObligationAttrId: " + obligationAttrId +
							"\n\tObligationAttrValue: " + obligationAttrValue);
			}
		}
	}
}
